summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBernhard Tittelbach <service-anytun@tittelbach.org>2009-12-05 16:30:59 +0000
committerBernhard Tittelbach <service-anytun@tittelbach.org>2009-12-05 16:30:59 +0000
commit177e4149b324495d72b591121f3fc527e5b018ed (patch)
tree30f260db5540e46d3e288b2e2aaf1d5b501af149
parentuanytun _does_ copy examples (diff)
newest [u]anytun ebuilds 0.3.2
-rw-r--r--gentoo-linux/net-misc/anytun/Manifest8
-rw-r--r--gentoo-linux/net-misc/anytun/anytun-0.3.2.ebuild35
-rw-r--r--gentoo-linux/net-misc/uanytun/uanytun-0.3.2.ebuild12
3 files changed, 28 insertions, 27 deletions
diff --git a/gentoo-linux/net-misc/anytun/Manifest b/gentoo-linux/net-misc/anytun/Manifest
index df6860a..8414c09 100644
--- a/gentoo-linux/net-misc/anytun/Manifest
+++ b/gentoo-linux/net-misc/anytun/Manifest
@@ -1,5 +1,7 @@
-AUX anytun-0.3.1.init 4741 RMD160 41021c9336fe037b4b7b76bafbe0cbc343366570 SHA1 a5b9803db65a8e2ccb881818e6d7bda0401bd475 SHA256 946a48cfae01976469f33aba4d3b281d6ae1cd1dc69f1f57d227c85a2e2e3e44
+AUX anytun-0.3.1.init 4132 RMD160 e913cee56b91b12cdd37cfc026b589ec7f3f23bc SHA1 c8bf76fd5486351d72934165c16e22b8903a4e36 SHA256 5aa33087d9d2b5496bb42cd6841087a275d4bfa2b4817931fd01f72e51e908be
DIST anytun-0.3.1.tar.gz 133451 RMD160 0750f681887dcfc527fbf92f525e16b8ab5bfa47 SHA1 7489ebff5b5cefe909e7f187feae783b874ab614 SHA256 e696b2b6767753234df21dbfce8d994d4a9bbb75e9f3f360081d25ece5eb80c6
-EBUILD anytun-0.3.1.ebuild 3028 RMD160 e5b823c2cf43fca62645efaf97ec6c466f5c9025 SHA1 0d798ab027420e027c4e563487e4f583a8602a05 SHA256 012589ff7f89e4867a7dd901287d3fac6802aee6577b88378f87bdcb02cd5ffc
-MISC Changelog 481 RMD160 f03045fd70293beb5bb093ae37fb6ed42346c25c SHA1 8071a125bac693f71001fd217f0733a9ad29bdf6 SHA256 41e2e83813d93991fdcdff791bb4d61bee215af7661c27900fd1da548880346c
+DIST anytun-0.3.2.tar.gz 135773 RMD160 47f4c43f3ddb5fcb13bc8205054326bf138df1bf SHA1 b7700f3f9a3718adcf1f952f37857ad9426ab6a0 SHA256 f13eea22d0ff509f24ff89e4298d3ac4be4c71f2fb9aa610dfb4d968c11bc2c2
+EBUILD anytun-0.3.1.ebuild 2974 RMD160 b8c4eaf91b7ecadac7120b35ce8902e349b01b7d SHA1 e0a74692c88cd6d28209228607d78f193ebec085 SHA256 419ac88ea7fc69c1b5dc362f804951d79f33b92e0dc564e9535af227e1495dc8
+EBUILD anytun-0.3.2.ebuild 2583 RMD160 4a4b75c72b6a4471e7524f140e0536702503144e SHA1 bdfe4a2cd8a7cd91d3cbd1627cca402e76727d8a SHA256 a70cd0429c302e06906bfc56a040dcb78fa30af75772235d32a84ef8001a1196
+MISC ChangeLog 481 RMD160 f03045fd70293beb5bb093ae37fb6ed42346c25c SHA1 8071a125bac693f71001fd217f0733a9ad29bdf6 SHA256 41e2e83813d93991fdcdff791bb4d61bee215af7661c27900fd1da548880346c
MISC metadata.xml 665 RMD160 d9ec3f7218bcb08bd085753fe5c7a028cbe5c28d SHA1 8e561a19acd6b907dcd1827157dde60131a5db0b SHA256 3a0acaf06b44bad94381079b79b35b37e484296c776981c4553e4bcc3e710aaa
diff --git a/gentoo-linux/net-misc/anytun/anytun-0.3.2.ebuild b/gentoo-linux/net-misc/anytun/anytun-0.3.2.ebuild
index 04f9fc7..49aadfd 100644
--- a/gentoo-linux/net-misc/anytun/anytun-0.3.2.ebuild
+++ b/gentoo-linux/net-misc/anytun/anytun-0.3.2.ebuild
@@ -17,14 +17,14 @@ RDEPEND=">=dev-libs/boost-1.35
gcrypt? ( dev-libs/libgcrypt )
!gcrypt? ( dev-libs/openssl )"
DEPEND="${RDEPEND}
- app-text/asciidoc"
+ app-text/asciidoc"
S=${S}/src
src_compile() {
local myconf
- use gcrypt || myconf=" --use-ssl-crypto"
- use examples && myconf="${myconf} --examplesdir=/usr/share/doc/${PF}/examples/etc/"
+ use gcrypt || myconf="--use-ssl-crypto"
+ use examples && myconf="${myconf} --examplesdir=/usr/share/doc/${PF}/examples/etc"
use examples || myconf="${myconf} --no-examples"
econf --ebuild-compat ${myconf} || die "configure failed"
@@ -36,36 +36,39 @@ src_compile() {
}
src_install() {
- emake install DESTDIR=${D}
+ emake install DESTDIR="${D}" || die "make install failed"
rm -Rf ${D}/etc/init.d
+ #as long as README just contains path to examples, only install it with examples
+ use examples || rm ${D}/etc/${PN}/README
keepdir /var/run/anytun || die "failed to mkdir"
keepdir /var/run/anytun-controld || die "failed to mkdir"
- prepallman
- newinitd "${FILESDIR}/${PN}-0.3.1.init" anytun || die "failed to copy/install initrd script"
-
- cd ../../
- insinto /usr/share/${P}/wireshark-lua/
- doins wireshark-lua/* || die "failed to install wireshark-lua contrib script"
+ newinitd "${FILESDIR}/${PN}-0.3.1.init" ${PN} || die "failed to copy/install initrd script"
+ cd ../
dodoc AUTHORS ChangeLog README || die "failed to install docs"
+
+ insinto /usr/share/${P}/wireshark-lua/
+ doins wireshark-lua/satp.lua || die "failed to install wireshark-lua contrib script"
}
pkg_config() {
- [ -e "${ROOT}"/etc/anytun ] && die "${ROOT}/etc/anytun/ already present, rm -R it first"
- [ ! -d "${ROOT}"/usr/share/doc/${PF}/examples/etc/anytun ] && \
+ [ ! -d "${ROOT}"/usr/share/doc/${PF}/examples/etc/${PN} ] && \
die "can't copy example configs since examples were not installed (reemerge with USE=\"examples\")"
- cp -rv "${ROOT}"/usr/share/doc/${PF}/examples/etc/anytun "${ROOT}"/etc/ || die "failed to copy examples"
+ for example in autostart server client1 client2 client3 p2p-a p2p-b; do
+ [ -e "${ROOT}"/etc/${PN}/${example} ] && die "${ROOT}/etc/${PN}/${example} already present, rm -R it first"
+ done
+ cp -rv "${ROOT}"/usr/share/doc/${PF}/examples/etc/${PN} "${ROOT}"/etc/ || die "failed to copy examples"
}
pkg_postinst() {
enewgroup anytun
enewuser anytun -1 -1 /var/run/anytun anytun
- einfo "Please refer to the README file regarding the syntax of the /etc/anytun/"
+ einfo "Please refer to the README file regarding the syntax of the /etc/${PN}/"
einfo "configuration files or see examples provided with the package"
- einfo "You can use gentoo-style anytun.{VPN} initrd scripts to start "
+ einfo "You can use gentoo-style ${PN}.{VPN} initrd scripts to start "
einfo "VPNs separately. Just symlink to the initscript, e.g.:"
- einfo "# ln -s /etc/init.d/anytun /etc/init.d/anytun.client1"
+ einfo "# ln -s /etc/init.d/${PN} /etc/init.d/${PN}.client1"
einfo
einfo "You can disect anytun traffic using wireshark by plugging the script"
einfo " /usr/share/${P}/wireshark-lua/satp.lua into wireshark"
diff --git a/gentoo-linux/net-misc/uanytun/uanytun-0.3.2.ebuild b/gentoo-linux/net-misc/uanytun/uanytun-0.3.2.ebuild
index 1160ca3..84d6a35 100644
--- a/gentoo-linux/net-misc/uanytun/uanytun-0.3.2.ebuild
+++ b/gentoo-linux/net-misc/uanytun/uanytun-0.3.2.ebuild
@@ -27,6 +27,7 @@ src_compile() {
use examples || myconf="${myconf} --no-examples"
econf --ebuild-compat ${myconf} || die "configure failed"
+ einfo "Building executables"
emake || die "make failed"
einfo "Building manpages"
@@ -34,7 +35,7 @@ src_compile() {
}
src_install() {
- emake install DESTDIR="${D}" || die "failed to install manpages"
+ emake install DESTDIR="${D}" || die "make install failed"
rm -Rf ${D}/etc/init.d
#as long as README just contains path to examples, only install it with examples
use examples || rm ${D}/etc/${PN}/README
@@ -43,20 +44,15 @@ src_install() {
cd ../
dodoc AUTHORS ChangeLog README || die "failed to install docs"
-
- #~ if use examples; then
- #~ insinto /usr/share/doc/${PF}/examples/etc/
- #~ doins -r etc/uanytun || die "failed to install examples"
- #~ fi
}
pkg_config() {
- [ ! -d "${ROOT}"/usr/share/doc/${PF}/examples/etc/${PN}/ ] && \
+ [ ! -d "${ROOT}"/usr/share/doc/${PF}/examples/etc/${PN} ] && \
die "can't copy example configs since examples were not installed (reemerge with USE=\"examples\")"
for example in autostart client1 client2 client3 p2p-a p2p-b; do
[ -e "${ROOT}"/etc/${PN}/${example} ] && die "${ROOT}/etc/${PN}/${example} already present, rm -R it first"
done
- cp -vr "${ROOT}"/usr/share/doc/${PF}/examples/etc/${PN} "${ROOT}"/etc/ || die "failed to copy examples"
+ cp -rv "${ROOT}"/usr/share/doc/${PF}/examples/etc/${PN} "${ROOT}"/etc/ || die "failed to copy examples"
}
pkg_postinst() {